StartupEvents.registry('block', event => {
    event.create('supreme_block')
      .displayName('Supreme Block')
      .soundType('wool')
      .hardness(10.0)
      .resistance(9999999.0)
      .requiresTool(true)
      .tagBlock('minecraft:mineable/pickaxe')
      .tagBlock('minecraft:needs_bread_tool')
      .textureAll('kubejs:block/supreme_block')
  })